Holger's Java API

## com.antelmann.util
Interface SynchronousKey

All Known Implementing Classes:
  CipherKey, SimpleKey

    public interface SynchronousKey

An interface to support very simple synchronous key encryption. The entire data to be encrypted needs to fit into memory, i.e. this scheme is not appropriate to encode/decode large files at once.

Author:
  Holger Antelmann
See Also:
  `Encoded`

Method Summary
`void` `decode(InputStream in, OutputStream out)` decodes the given InputStream into the given OutputStream
`void` `encode(InputStream in, OutputStream out)` encodes the given InputStream into the given OutputStream
`String` `getKeySignature()` returns a signature that is used to identify the key that needs to be known for both, encoding and decoding

Method Detail

### encode

    void encode(InputStream in,
                OutputStream out)
                throws IOException,
                       GeneralSecurityException

  encodes the given InputStream into the given OutputStream

  Throws:
    `IOException`
    `GeneralSecurityException`

### decode

    void decode(InputStream in,
                OutputStream out)
                throws IOException,
                       GeneralSecurityException

  decodes the given InputStream into the given OutputStream

  Throws:
    `IOException`
    `GeneralSecurityException`

### getKeySignature

    String getKeySignature()

  returns a signature that is used to identify the key that needs to be known for both, encoding and decoding

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads